Bug 198017 - Web Inspector: Sources: gear icons moves to 2nd line when sidebar is narrow
Summary: Web Inspector: Sources: gear icons moves to 2nd line when sidebar is narrow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-18 16:04 PDT by Nikita Vasilyev
Modified: 2019-08-17 01:12 PDT (History)
6 users (show)

See Also:


Attachments
[Image] Bug (70.61 KB, image/png)
2019-05-18 16:04 PDT, Nikita Vasilyev
no flags Details
Patch (20.19 KB, patch)
2019-08-14 20:39 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (20.42 KB, patch)
2019-08-17 00:29 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2019-05-18 16:04:47 PDT
Created attachment 370200 [details]
[Image] Bug

The gear icon should stay on the same line — it shouldn't wrap.
Comment 1 Jamal Nasser 2019-06-05 08:31:40 PDT
Removing the flex-wrap property from .navigation-bar and .navigation-bar .item in NavigationBar.css fixes this, but I'm guessing those are in there serving another purpose and removing them may not be the best idea...

https://i.imgur.com/8bWGoEB.png
Comment 2 Devin Rousso 2019-08-14 20:39:41 PDT
Created attachment 376347 [details]
Patch
Comment 3 Joseph Pecoraro 2019-08-16 20:19:16 PDT
Comment on attachment 376347 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376347&action=review

r=me

> Source/WebInspectorUI/ChangeLog:54
> +
> +

Nit: too many lines

> Source/WebInspectorUI/UserInterface/Views/TextNavigationItem.js:40
>      // Public
>  
> +    get totalMargin()

Shouldn't this be in some Protected region?
Comment 4 Devin Rousso 2019-08-16 22:56:49 PDT
Comment on attachment 376347 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376347&action=review

>> Source/WebInspectorUI/ChangeLog:54
>> +
> 
> Nit: too many lines

Oops :P

>> Source/WebInspectorUI/UserInterface/Views/TextNavigationItem.js:40
>> +    get totalMargin()
> 
> Shouldn't this be in some Protected region?

Yes, it should be.  I'd originally intended this to be `static`, but due to `WI.ButtonNavigationItem.Style` it ended up being a member variable.  I'll move it.
Comment 5 Devin Rousso 2019-08-17 00:29:05 PDT
Created attachment 376597 [details]
Patch
Comment 6 WebKit Commit Bot 2019-08-17 01:11:37 PDT
Comment on attachment 376597 [details]
Patch

Clearing flags on attachment: 376597

Committed r248818: <https://trac.webkit.org/changeset/248818>
Comment 7 WebKit Commit Bot 2019-08-17 01:11:38 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-08-17 01:12:16 PDT
<rdar://problem/54422378>